WordPress.org

Ready to get started?Download WordPress

Forums

MathJax-LaTeX
Documentation is insufficient (1 post)

  1. bwchron1
    Member
    Posted 3 years ago #

    After initial install, it immediately asked me to update to 1.1. I hadn't imported the library yet so I think the error messaging is a little out of wack.

    I think there should be a download package specific to the wordpress plugin. The full package is pretty bulky and there's a lot of stuff you don't need. Also it should be noted that you need to rename your extracted download file to 'MathJax' and placed under mathjax-latex plugin dir.

    Once I dropped in the library I got a annoying popup about a config file I needed to add. Turns out its not a config file, but just a query parameter added to the end of the script source, but this should be in the installation instructions.

    The most annoying thing is that there is nothing in the installation instructions about adding the script tag pointing to the MathJax.js. Maybe I missed something, but the only way I could get this to work ws by adding this to either the body or theme-head. This seems like a glaring oversight, which makes me think I overlooked something. If there's another way to get this working, its not clear in the installation instructions.

    All constructive criticism... plugin worked after the above changes.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic